httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Graham Leggett <minf...@sharp.fm>
Subject Re: 2.2 and 2.4 and 2.6/3.0
Date Thu, 28 May 2015 14:51:23 GMT
On 28 May 2015, at 4:46 PM, Jim Jagielski <jim@jaguNET.com> wrote:

> My thoughts are that we use mod_h2 as a guide to how to
> "better" implement things in trunk, but also allow for
> mod_h2 to also work w/ 2.4 as well... So there will be
> a 2.4 version of mod_h2 as well as a more significant
> "merging" of mod_h2/trunk/2.6/3.0.

I propose we - where possible - add the missing bits that mod_h2 has to hack around, and then
propose those changes for backport to v2.4 in the normal way.

Given the amount of inertia minor versions of httpd have, it would be ideal if mod_h2 could
be used in the httpd v2.4 timeframe, rather than being forced to wait for v2.6.

Obviously if there is anything majorly incompatible that we’ll struggle with then the choice
will be made for us, but we should try get mod_h2 usable with v2.4 if that can possibly be
achieved.

Regards,
Graham
—


Mime
View raw message